BSON_JSON_OPTS_T(3)

NAME
bson_json_opts_t - bson_json_opts_t

BSON to JSON encoding options

SYNOPSIS

#include <bson/bson.h>
typedef struct _bson_json_opts_t bson_json_opts_t;
bson_json_opts_t *
bson_json_opts_new (bson_json_mode_t mode, int32_t max_len);
void
bson_json_opts_destroy (bson_json_opts_t *opts);

DESCRIPTION

The bson_json_opts_t structure contains options for encoding BSON into MongoDB Extended JSON.

The mode member is a bson_json_mode_t defining the encoding mode.

The max_len member holds a maximum length for the resulting JSON string. Encoding will stop once the serialised string has reached this length. To encode the full BSON document, BSON_MAX_LEN_UNLIMITED can be used.

SEE ALSO:
bson_as_json_with_opts()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc